using System;
using System.Data;
//using Microsoft.Data.Odbc;
using System.Data.Odbc;


namespace ConsoleApplication1
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class Class1
	{
		/// <summary>
		/// The main entry point for the application.
    
    /// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			try
			{
				//			OdbcConnection activeDb = new OdbcConnection ("DRIVER=MySQL ODBC 3.51 Driver;UID=root");
				OdbcConnection activeDb = new OdbcConnection ("USER=root;PASSWORD=abdh1248;DRIVER={MySQL Connector/ODBC v5};SERVER=localhost;DATABASE=iq;PORT=3306;OPTION=3");
	
				activeDb.Open();
				OdbcCommand cmd = activeDb.CreateCommand();

			
				//cmd.CommandText = "USE TEST";
				//cmd.ExecuteNonQuery();
				cmd.CommandText = "DROP TABLE IF EXISTS TEST_DEC";
				cmd.ExecuteNonQuery();
				cmd.CommandText = "CREATE TABLE TEST_DEC (D DECIMAL(11,2) DEFAULT 0)";
				cmd.ExecuteNonQuery();
				cmd.CommandText = "INSERT INTO TEST_DEC VALUES (0.0)";
				cmd.ExecuteNonQuery();
				cmd.CommandText = "CREATE OR REPLACE VIEW TEST_DEC_VIEW AS SELECT D AS D_VIEW FROM TEST_DEC";
				cmd.ExecuteNonQuery();

				Console.WriteLine("\ntesting table...");
				cmd.CommandText = "SELECT ROUND(D,2) FROM TEST_DEC";
				OdbcDataReader reader;
				reader =  cmd.ExecuteReader();
				while (reader.Read())
				{
					Console.WriteLine("Data: " + reader.GetString(0));
					Console.WriteLine("Type: " + reader.GetDataTypeName(0));
				}
				reader.Close();

				Console.WriteLine("\ntesting view...");
				cmd.CommandText = "SELECT ROUND(D_VIEW,2) FROM TEST_DEC_VIEW";
				reader =  cmd.ExecuteReader();
				while (reader.Read())
				{
					Console.WriteLine("Data: " + reader.GetString(0));
					Console.WriteLine("Type: " + reader.GetDataTypeName(0));
				}
				reader.Close();
				
				Console.WriteLine("\nTesting OdbcDataAdapter...");

				string strQuery = "SELECT ROUND(D,2) FROM TEST_DEC";
				OdbcDataAdapter adapter = new OdbcDataAdapter();
				DataSet ds = new DataSet();
				DataTable tblData = new DataTable();
				
				if (ds.Tables.IndexOf("Data") >= 0)
					tblData.Clear();

				else
					tblData = ds.Tables.Add("Data");
				
				adapter.SelectCommand = new OdbcCommand(strQuery, activeDb); 
				adapter.Fill(ds, tblData.TableName.ToString());
				
				Console.WriteLine("\nSuccess!");
			}

			catch (Exception ex)
			{
				Console.WriteLine("\n" + ex.Message);
			}
    }
	}
}
